Returns version of cipher used by current SSL connection

- « EventBufferEvent::sslGetCipherName

- EventBufferEvent::sslGetProtocol »

- PHP Manual
- EventBufferEvent
- Returns version of cipher used by current SSL connection

# EventBufferEvent::sslGetCipherVersion

(PECL event >= 1.10.0)

EventBufferEvent::sslGetCipherVersion — Returns version of cipher used by current SSL connection

### Description

public EventBufferEvent::sslGetCipherVersion(): string

Retrieves version of cipher used by current SSL connection.

> Note:

> This function is available only if `Event` is compiled with OpenSSL support.

### Parameters

This function has no parameters.

### Return Values

Returns the current cipher version of the SSL connection, or `false` on error.